package org.springblade.enterprise.feign;

import org.springblade.enterprise.entity.EnterpriseDept;
import org.springblade.enterprise.vo.DeptVO;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class DeptClientFallback implements IDeptClient {
            /**
         * 详情
         */
        @Override
        public DeptVO detail(EnterpriseDept dept) {
            return null;
        }

        /**
         * 查询
         */
        @Override
        public List<DeptVO> list(EnterpriseDept dept) {
            return null;
        }



        /**
         * 新增
         */
        @Override
        public boolean save( EnterpriseDept dept) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( EnterpriseDept dept) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( EnterpriseDept dept) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
